Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4533

  

Description

We do not log anything when things are added to orchestration queue, some messages are present but these are not useful and

sparse. Example transaction:

Using host queue

Using host queue

Using host queue

Queueing Realm

Using host queue

 This patch will add support for naming queues, the two main queues will be named in the following way:

Host::Managed Main

Host::Managed Post

Nic::Managed Main

Nic::Managed Post

It will add more logs into DEBUG app logger, example transaction:

Enqueued task 'Remove DHCP Settings for mac5254000a4dd1' to 'Host::Managed Main' queue

Enqueued task 'Remove Reverse IPv4 DNS record for mac5254000a4dd1' to 'Host::Managed Main' queue

Enqueued task 'Delete TFTP PXEGrub2 config for mac5254000a4dd1' to 'Host::Managed Main' queue

Enqueued task 'Delete TFTP PXELinux config for mac5254000a4dd1' to 'Host::Managed Main' queue

Enqueued task 'Delete TFTP PXEGrub config for mac5254000a4dd1' to 'Host::Managed Main' queue

Processed queue 'Host::Managed Main', 5/5 completed tasks

Related issues:

Related to Foreman - Refactor #19534: Excessive amount of log messages around... Closed 05/15/2017

Associated revisions

Revision 04d9f6ed - 05/17/2017 04:12 AM - Lukas Zapletal

Fixes #19534 - improved orchestration task logging

History

#1 - 05/16/2017 04:38 AM - Lukas Zapletal

- Description updated

#2 - 05/17/2017 05:06 AM - Dominic Cleal

- Status changed from New to Closed

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4533 added

Commit has incorrect issue number, reassociated.
#3 - 05/22/2017 08:09 AM - Lukas Zapletal

- Related to Refactor #19534: Excessive amount of log messages around db field encryption added
